// This source file is part of HGamer3D, a project to enable 3D game development 
// in Haskell. For the latest info, see http://www.hgamer3d.org .
// 
// (c) 2011-2014 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// EnumSDLPixelFormat.h

// 

#include "wchar.h"
#ifndef _DEFINED_HG3D_EnumSDLPixelFormat
#define _DEFINED_HG3D_EnumSDLPixelFormat


enum EnumSDLPixelFormat
{
  SDL_PIXELFORMAT_UNKNOWN, // 
  SDL_PIXELFORMAT_INDEX1LSB = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_INDEX1, SDL_BITMAPORDER_4321, 0,
                               1, 0), // 
  SDL_PIXELFORMAT_INDEX1MSB = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_INDEX1, SDL_BITMAPORDER_1234, 0,
                               1, 0), // 
  SDL_PIXELFORMAT_INDEX4LSB = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_INDEX4, SDL_BITMAPORDER_4321, 0,
                               4, 0), // 
  SDL_PIXELFORMAT_INDEX4MSB = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_INDEX4, SDL_BITMAPORDER_1234, 0,
                               4, 0), // 
  SDL_PIXELFORMAT_INDEX8 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_INDEX8, 0, 0, 8, 1), // 
  SDL_PIXELFORMAT_RGB332 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED8, SDL_PACKEDORDER_XRGB,
                               SDL_PACKEDLAYOUT_332, 8, 1), // 
  SDL_PIXELFORMAT_RGB444 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_XRGB,
                               SDL_PACKEDLAYOUT_4444, 12, 2), // 
  SDL_PIXELFORMAT_RGB555 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_XRGB,
                               SDL_PACKEDLAYOUT_1555, 15, 2), // 
  SDL_PIXELFORMAT_BGR555 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_XBGR,
                               SDL_PACKEDLAYOUT_1555, 15, 2), // 
  SDL_PIXELFORMAT_ARGB4444 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_ARGB,
                               SDL_PACKEDLAYOUT_4444, 16, 2), // 
  SDL_PIXELFORMAT_RGBA4444 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_RGBA,
                               SDL_PACKEDLAYOUT_4444, 16, 2), // 
  SDL_PIXELFORMAT_ABGR4444 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_ABGR,
                               SDL_PACKEDLAYOUT_4444, 16, 2), // 
  SDL_PIXELFORMAT_BGRA4444 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_BGRA,
                               SDL_PACKEDLAYOUT_4444, 16, 2), // 
  SDL_PIXELFORMAT_ARGB1555 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_ARGB,
                               SDL_PACKEDLAYOUT_1555, 16, 2), // 
  SDL_PIXELFORMAT_RGBA5551 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_RGBA,
                               SDL_PACKEDLAYOUT_5551, 16, 2), // 
  SDL_PIXELFORMAT_ABGR1555 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_ABGR,
                               SDL_PACKEDLAYOUT_1555, 16, 2), // 
  SDL_PIXELFORMAT_BGRA5551 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_BGRA,
                               SDL_PACKEDLAYOUT_5551, 16, 2), // 
  SDL_PIXELFORMAT_RGB565 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_XRGB,
                               SDL_PACKEDLAYOUT_565, 16, 2), // 
  SDL_PIXELFORMAT_BGR565 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED16, SDL_PACKEDORDER_XBGR,
                               SDL_PACKEDLAYOUT_565, 16, 2), // 
  SDL_PIXELFORMAT_RGB24 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_ARRAYU8, SDL_ARRAYORDER_RGB, 0,
                               24, 3), // 
  SDL_PIXELFORMAT_BGR24 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_ARRAYU8, SDL_ARRAYORDER_BGR, 0,
                               24, 3), // 
  SDL_PIXELFORMAT_RGB888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_XRGB,
                               SDL_PACKEDLAYOUT_8888, 24, 4), // 
  SDL_PIXELFORMAT_RGBX8888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_RGBX,
                               SDL_PACKEDLAYOUT_8888, 24, 4), // 
  SDL_PIXELFORMAT_BGR888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_XBGR,
                               SDL_PACKEDLAYOUT_8888, 24, 4), // 
  SDL_PIXELFORMAT_BGRX8888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_BGRX,
                               SDL_PACKEDLAYOUT_8888, 24, 4), // 
  SDL_PIXELFORMAT_ARGB8888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_ARGB,
                               SDL_PACKEDLAYOUT_8888, 32, 4), // 
  SDL_PIXELFORMAT_RGBA8888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_RGBA,
                               SDL_PACKEDLAYOUT_8888, 32, 4), // 
  SDL_PIXELFORMAT_ABGR8888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_ABGR,
                               SDL_PACKEDLAYOUT_8888, 32, 4), // 
  SDL_PIXELFORMAT_BGRA8888 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_BGRA,
                               SDL_PACKEDLAYOUT_8888, 32, 4), // 
  SDL_PIXELFORMAT_ARGB2101010 = 
        SDL_DEFINE_PIXELFORMAT(SDL_PIXELTYPE_PACKED32, SDL_PACKEDORDER_ARGB,
                               SDL_PACKEDLAYOUT_2101010, 32, 4), // 
  SDL_PIXELFORMAT_YV12 = 
        SDL_DEFINE_PIXELFOURCC('Y', 'V', '1', '2'), // 
  SDL_PIXELFORMAT_IYUV = 
        SDL_DEFINE_PIXELFOURCC('I', 'Y', 'U', 'V'), // 
  SDL_PIXELFORMAT_YUY2 = 
        SDL_DEFINE_PIXELFOURCC('Y', 'U', 'Y', '2'), // 
  SDL_PIXELFORMAT_UYVY = 
        SDL_DEFINE_PIXELFOURCC('U', 'Y', 'V', 'Y'), // 
  SDL_PIXELFORMAT_YVYU =  // 
};
#endif 
